Curve.h File Reference

Contains the Curve class which is used to interpolate attributes in time. More...

`#include <algorithm>`
`#include <utility>`
`#include <vector>`
`#include <boost/lexical_cast.hpp>`
`#include <OpenEXR/OpenEXRConfig.h>`
`#include <OpenEXR/ImathFun.h>`
`#include <OpenEXR/ImathMatrix.h>`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | Curve< T >
| Implements a simple function curve where samples of type T can be added along a 1D axis. Once samples exist they can be interpolated using the linear() call. More...
struct | Curve< T >::CheckTEqual
| Used when finding values in the m_samples vector. More...
struct | Curve< T >::CheckTGreaterThan
| Used when finding values in the m_samples vector. More...

## Macros

#define | COMBINED_OPENEXR_VERSION

## Detailed Description

Contains the Curve class which is used to interpolate attributes in time.

Definition in file Curve.h.

## Macro Definition Documentation

## COMBINED_OPENEXR_VERSION

#define COMBINED_OPENEXR_VERSION

Value:
((10000*OPENEXR_VERSION_MAJOR) + \
(100*OPENEXR_VERSION_MINOR) + \
OPENEXR_VERSION_PATCH)

Definition at line 59 of file Curve.h.

#define COMBINED_OPENEXR_VERSION ((10000*OPENEXR_VERSION_MAJOR) + \
(100*OPENEXR_VERSION_MINOR) + \
OPENEXR_VERSION_PATCH)